/*
    tt.h, Copyright  (c) by Silvio Dragone & David Reist,
    Swiss Federal Institute of Technology,
    Computer Engineering and Networks Laboratory.
 
    TOPSY -- A Teachable Operating System.
             Implementation of a tiny and simple
             micro kernel for teaching purposes.
 
    For further information, please visit http://www.tik.ee.ethz.ch/~topsy
 
    This software is provided under the terms of the GNU General Public Licence.
 
    A full copy of the GNU GPL is provided in the file COPYING found in the 
    development root of Topsy.
*/

#ifndef _TT_H_
#define _TT_H_

void setTTBase(address_t TTL1Base);
void setDAC(uint32 value);
void setTTL1Entry(address_t TTL1Base, uint32 index, uint32 value);
void getTTL1Entry(address_t TTL1Base, uint32 index, uint32 *value);
void setTTL2Entry(address_t TTL2Base, uint32 index, uint32 value);
void getTTL2Entry(address_t TTL2Base, uint32 index, uint32 *value);
void enableMMU(void);
void flushTLBAll(void);
void flushTLBSingleD(address_t virt);
void flushTLBSingleI(address_t virt);
void flushTLBSingleU(address_t virt);

#endif
